net.minecraft.client.multiplayer

## Class PlayerControllerMP

- java.lang.Object
- - net.minecraft.client.multiplayer.PlayerControllerMP

-     public class PlayerControllerMP
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlayerControllerMP(Minecraft p_i45062_1_, NetHandlerPlayClient p_i45062_2_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attackEntity(EntityPlayer par1EntityPlayer, Entity par2Entity)`
    `void` | `clickBlock(int par1, int par2, int par3, int par4)`
    `static void` | `clickBlockCreative(Minecraft par0Minecraft, PlayerControllerMP par1PlayerControllerMP, int par2, int par3, int par4, int par5)`
    `boolean` | `enableEverythingIsScrewedUpMode()`
    `boolean` | `extendedReach()`
    `void` | `flipPlayer(EntityPlayer par1EntityPlayer)`
    `boolean` | `func_110738_j()`
    `EntityClientPlayerMP` | `func_147493_a(World p_147493_1_, StatFileWriter p_147493_2_)`
    `boolean` | `gameIsSurvivalOrAdventure()`
    `float` | `getBlockReachDistance()`
    `boolean` | `interactWithEntitySendPacket(EntityPlayer par1EntityPlayer, Entity par2Entity)`
    `boolean` | `isInCreativeMode()`
    `boolean` | `isNotCreative()`
    `void` | `onPlayerDamageBlock(int par1, int par2, int par3, int par4)`
    `boolean` | `onPlayerDestroyBlock(int par1, int par2, int par3, int par4)`
    `boolean` | `onPlayerRightClick(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack, int par4, int par5, int par6, int par7, Vec3 par8Vec3)`
    `void` | `onStoppedUsingItem(EntityPlayer par1EntityPlayer)`
    `void` | `resetBlockRemoving()`
    `void` | `sendEnchantPacket(int par1, int par2)`
    `void` | `sendPacketDropItem(ItemStack par1ItemStack)`
    `void` | `sendSlotPacket(ItemStack par1ItemStack, int par2)`
    `boolean` | `sendUseItem(EntityPlayer par1EntityPlayer, World par2World, ItemStack par3ItemStack)`
    `void` | `setGameType(WorldSettings.GameType par1EnumGameType)`
    `void` | `setPlayerCapabilities(EntityPlayer par1EntityPlayer)`
    `boolean` | `shouldDrawHUD()`
    `void` | `updateController()`
    `ItemStack` | `windowClick(int par1, int par2, int par3, int par4, EntityPlayer par5EntityPlayer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PlayerControllerMP

          public PlayerControllerMP(Minecraft p_i45062_1_,
                            NetHandlerPlayClient p_i45062_2_)

  - ### Method Detail

    - #### clickBlockCreative

          public static void clickBlockCreative(Minecraft par0Minecraft,
                                PlayerControllerMP par1PlayerControllerMP,
                                int par2,
                                int par3,
                                int par4,
                                int par5)

    - #### setPlayerCapabilities

          public void setPlayerCapabilities(EntityPlayer par1EntityPlayer)

    - #### enableEverythingIsScrewedUpMode

          public boolean enableEverythingIsScrewedUpMode()

    - #### setGameType

          public void setGameType(WorldSettings.GameType par1EnumGameType)

    - #### flipPlayer

          public void flipPlayer(EntityPlayer par1EntityPlayer)

    - #### shouldDrawHUD

          public boolean shouldDrawHUD()

    - #### onPlayerDestroyBlock

          public boolean onPlayerDestroyBlock(int par1,
                                     int par2,
                                     int par3,
                                     int par4)

    - #### clickBlock

          public void clickBlock(int par1,
                        int par2,
                        int par3,
                        int par4)

    - #### resetBlockRemoving

          public void resetBlockRemoving()

    - #### onPlayerDamageBlock

          public void onPlayerDamageBlock(int par1,
                                 int par2,
                                 int par3,
                                 int par4)

    - #### getBlockReachDistance

          public float getBlockReachDistance()

    - #### updateController

          public void updateController()

    - #### onPlayerRightClick

          public boolean onPlayerRightClick(EntityPlayer par1EntityPlayer,
                                   World par2World,
                                   ItemStack par3ItemStack,
                                   int par4,
                                   int par5,
                                   int par6,
                                   int par7,
                                   Vec3 par8Vec3)

    - #### sendUseItem

          public boolean sendUseItem(EntityPlayer par1EntityPlayer,
                            World par2World,
                            ItemStack par3ItemStack)

    - #### func_147493_a

          public EntityClientPlayerMP func_147493_a(World p_147493_1_,
                                           StatFileWriter p_147493_2_)

    - #### attackEntity

          public void attackEntity(EntityPlayer par1EntityPlayer,
                          Entity par2Entity)

    - #### interactWithEntitySendPacket

          public boolean interactWithEntitySendPacket(EntityPlayer par1EntityPlayer,
                                             Entity par2Entity)

    - #### windowClick

          public ItemStack windowClick(int par1,
                              int par2,
                              int par3,
                              int par4,
                              EntityPlayer par5EntityPlayer)

    - #### sendEnchantPacket

          public void sendEnchantPacket(int par1,
                               int par2)

    - #### sendSlotPacket

          public void sendSlotPacket(ItemStack par1ItemStack,
                            int par2)

    - #### sendPacketDropItem

          public void sendPacketDropItem(ItemStack par1ItemStack)

    - #### onStoppedUsingItem

          public void onStoppedUsingItem(EntityPlayer par1EntityPlayer)

    - #### gameIsSurvivalOrAdventure

          public boolean gameIsSurvivalOrAdventure()

    - #### isNotCreative

          public boolean isNotCreative()

    - #### isInCreativeMode

          public boolean isInCreativeMode()

    - #### extendedReach

          public boolean extendedReach()

    - #### func_110738_j

          public boolean func_110738_j()